Bug 132298 - bootup hangs on modprobe snd-intel8x0
bootup hangs on modprobe snd-intel8x0
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-10 14:12 EDT by Daniel Walsh
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 10:39:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Walsh 2004-09-10 14:12:23 EDT
Description of problem:
modprobe hangs on kernel-2.6.8-1.541
modprobe snd-intel8x0

Version-Release number of selected component (if applicable):


How reproducible:
Fresh install on hardware with intel sound card

Steps to Reproduce:
1. boot
2.
3.
  
Actual results:
modprobe hangs

Expected results:
modprobe completes

Additional info:
Comment 1 Bill Nottingham 2004-09-10 15:17:46 EDT
Any kernel messages?
Comment 2 Daniel Walsh 2004-09-10 15:32:28 EDT
no
Comment 3 Daniel Walsh 2004-09-10 16:03:27 EDT
strace shows modutils is in a waitpid call.  (Typed from the screen)

open("/lib/modules/2.6.8-1.541/kernel/sound/pci/snd-intel8x0.ko"m
O_WDWR) = 3
fcntl(...)
open("/proc/modules", O_RDONLY) ...
fstat64 ...
mmap2(...)
read(4,"snd_ac97_codec 61329 0 - Live 0x"..., 1024) = 1024
read(4,"d 27973 0 - Live 0x2291b000\ntg2 "..., 1024) = 347
read(4,"",1024) = 0
close(4)
munmap(0xf6ff7000,4096) = 0
close(3)
rt_sigaction(...)
rt_sigaction(...)
rt_sigprocmask(...)
clone(child_stack=0, flags=CLONE_PARENT_SETTID|SIGCHLD,
parent_tidptr=0feefca18) = 3171
waitpid=(3171,
Comment 4 Daniel Walsh 2004-10-26 10:39:42 EDT
Updating bios fixed this problem.

Note You need to log in before you can comment on or make changes to this bug.